/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

#include "eCamScroller.h"
#include "../WorldManager.h"

eCamScroller::eCamScroller()
{
	real = true;
	toDelete = false;
	stat = false;
	rect.x1 = 0;
   rect.y1 = 0;
   rect.x2 = 10;
   rect.y2 = 192;
   type = 4;
   genre = 3;
   music = false;
}
   	
eCamScroller::~eCamScroller()
{
   
}

void eCamScroller::Load()
{
 
}
   
void eCamScroller::Draw(int layer)
{
   
}
   
void eCamScroller::Update()
{
   //Calcul de la position écran de l'entité
   x_screen = x - worldMan->curLevel->map->scrollX;
	y_screen = y - worldMan->curLevel->map->scrollY;
	
	//On vérifie si l'informateur est à l'écran
   if(x_screen < (0) || x_screen > (256) || y_screen < (0) || y_screen > (192))
   	actif = false;
   else
   	actif = true;
      			
}

void eCamScroller::CheckInteractions()
{
	if(actif)
	{
		if(RectCollision(x, y, &rect, UNFIX(worldMan->hero->x), UNFIX(worldMan->hero->y), &worldMan->hero->rect))
		{
		 	worldMan->ScrollCamera(camxDest, camyDest);  
		}   
	}
	//On vérifie si il faut destroy
	if(worldMan->curLevel->map->scrollX == camxDest)
	{
		toDelete = true;
		worldMan->isScrollEnd = true;
	}		
}   

void eCamScroller::Destroy()
{
   
}
